org.apache.commons.jelly.xpath

## Class XPathTagSupport

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.xpath.XPathTagSupport

All Implemented Interfaces:
  Tag

Direct Known Subclasses:
  AssertTagSupport, CommentTag, CopyOfTag, CopyTag, DoctypeTag, ExprTag, ForEachTag, IfTag, SetTag, SortTag

    public abstract class XPathTagSupport
    extends TagSupport

An abstract base class useful for implementation inheritence

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`XPathTagSupport()`

### Method Summary

Methods
`protected java.lang.Object` `getXPathContext()`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.jelly.Tag

`doTag`

### Constructor Detail

#### XPathTagSupport

    public XPathTagSupport()

### Method Detail

#### getXPathContext

    protected java.lang.Object getXPathContext()